import { OnDestroy, OnInit } from "@angular/core";
import { StiModelService } from "../../../services/model.service";
import { Subscription } from "rxjs";
import { StiToolboxService } from "../../../services/sti-toolbox.service";
import { StiLocalizationService } from "../../../services/sti-localization.service";
import * as i0 from "@angular/core";
export declare class StiFormElementsDropdownComponent implements OnInit, OnDestroy {
    model: StiModelService;
    toolboxService: StiToolboxService;
    loc: StiLocalizationService;
    items: any[];
    changeSubscription: Subscription;
    constructor(model: StiModelService, toolboxService: StiToolboxService, loc: StiLocalizationService);
    ngOnDestroy(): void;
    selectItem(item: any): void;
    getItemText(item: any): string;
    getCurrentItemText(): string;
    fillItems(): void;
    showDropdown(): void;
    getLabel(element: any): any;
    isSelected(item: any): boolean;
    sortItems(items: any): any[];
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiFormElementsDropdownComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiFormElementsDropdownComponent, "sti-form-elements-dropdown", never, {}, {}, never, never, false, never>;
}
